import * as React from 'react';
import { IDefaultProps } from "../index";
export declare type Props = {
    anchor: 'left' | 'top' | 'right' | 'bottom';
    variant: 'permanent' | 'persistent' | 'temporary';
    open: boolean;
};
export declare type State = {};
declare class DrawerComponent extends React.Component<IDefaultProps & Props, State> {
    static defaultProps: {
        anchor: string;
        variant: string;
        open: boolean;
    };
    constructor(props: any);
    render(): JSX.Element;
}
export default DrawerComponent;
