import moment from "moment";
export default class DateUtil {
    static format(date: string, format: string, momentFormat?: string): string;
    static add(date: string, unit: any, interval: any): moment.Moment;
    static subtract(date: string, unit: any, interval: any): moment.Moment;
    static diff(firstDate: string, secondDate: string, interval: any): number;
    static isBefore(firstDate: string, secondDate: string, granularity?: moment.unitOfTime.StartOf): boolean;
    static isAfter(firstDate: string, secondDate: string, granularity?: moment.unitOfTime.StartOf): boolean;
    static date(date: string): moment.Moment;
    static now(): moment.Moment;
    static nowFormat(format?: string): string;
}
