import * as React from 'react';
import { IDefaultProps } from "../index";
export declare type Props = {
    title: string;
    primary?: boolean;
    secondary?: boolean;
    disabled?: boolean;
    fullWidth?: boolean;
    elevation: boolean;
    isFlat?: boolean;
    icon?: any;
    tooltip?: string;
    forUpload?: boolean;
    uploadAccept?: string;
    startIcon?: any;
    onTouchTap?: (arg1: any, arg2: string) => void;
};
export default class ButtonComponent extends React.Component<IDefaultProps & Props> {
    static defaultProps: {
        primary: boolean;
        secondary: boolean;
        disabled: boolean;
        fullWidth: boolean;
        elevation: boolean;
        isFlat: boolean;
        forUpload: boolean;
        uploadAccept: string;
    };
    onTouchTap: (event: any) => void;
    render(): JSX.Element;
}
