import * as React from 'react';
import { IDefaultProps } from "../index";
export declare type Props = {
    label?: string;
    checked?: boolean;
    disabled?: boolean;
    primary?: boolean;
    secondary?: boolean;
    onChange?: (value: boolean, id: string) => void;
};
export declare type State = {
    checked?: boolean;
};
declare class SwitchComponent extends React.Component<IDefaultProps & Props, State> {
    static defaultProps: {
        disabled: boolean;
        primary: boolean;
        secondary: boolean;
        checked: boolean;
    };
    state: {
        checked: boolean;
    };
    componentWillReceiveProps(nextProps: any): void;
    handleChange(event: any): void;
    getValue(): boolean;
    render(): JSX.Element;
}
export default SwitchComponent;
