import { RefObject } from "react";
import { DateType } from "./ComponentFactory";
export default class ComponentBinding {
    dataManager: any;
    saveFunction: string;
    item: any;
    private multipleSelectFieldIdList;
    private dateFieldList;
    private componentRef;
    setItem(item: any): void;
    isDateField(key: string): boolean;
    isMultipleSelectField(key: string): boolean;
    hasDateFieldFormat(key: string): string;
    addComponentRef(componentRef: RefObject<any>): void;
    setProperty(key: string, value: any): void;
    getProperty(key: string): any;
    registerMultipleSelectField(id: string): void;
    unregisterMultipleSelectField(id: string): void;
    registerDateField(id: string, dateType: DateType): void;
    saveBinding(): Promise<void>;
    validate(): boolean;
}
